Activity log for bug #1804869

Date Who What changed Old value New value Message
2018-11-23 17:50:32 Alan Griffiths bug added bug
2018-11-23 17:53:39 Alan Griffiths description I'm working on the Mir-Kiosk snap. It has Mir running as a "daemon: simple". Mir wants an XDG_RUNTIME_DIR directory for its sockets. Snapd does set the $XDG_RUNTIME_DIR environment variable for it (/run/user/0/snap.mir-kiosk), but I'm not able to create that directory as /run/user/0 has not been created by snapd. We had a workaround for lp:1738197, vis: [ ! -d "$XDG_RUNTIME_DIR" ] && mkdir $XDG_RUNTIME_DIR -m 700 And that ought to work regardless of whether lp:1738197 is fixed. Something seems to have changed since around September (when the above was working) as this no longer works on Ubuntu Classic (18.04LTS), instead we see: 2018-11-23T17:37:07Z mir-kiosk.mir-kiosk[25245]: mkdir: cannot create directory '/run/user/0': Permission denied I'm working on the Mir-Kiosk snap. It has Mir running as a "daemon: simple". Mir wants an XDG_RUNTIME_DIR directory for its sockets. Snapd does set the $XDG_RUNTIME_DIR environment variable for it (/run/user/0/snap.mir-kiosk), but I'm not able to create that directory as /run/user/0 has not been created by snapd. We had a workaround for lp:1738197, vis:      [ ! -d "$XDG_RUNTIME_DIR" ] && mkdir $XDG_RUNTIME_DIR -m 700 And that ought to work regardless of whether lp:1738197 is fixed. Something seems to have changed since around September (when the above was working) as this no longer works on Ubuntu Classic (18.04LTS), instead we see: 2018-11-23T17:37:07Z mir-kiosk.mir-kiosk[25245]: mkdir: cannot create directory '/run/user/0': Permission denied Checking manually, the directory does not exist. And, if created manually, is seen but cannot be used.
2019-02-19 22:01:37 Jamie Strandboge snapd: status New Triaged
2019-02-19 22:01:40 Jamie Strandboge snapd: importance Undecided Medium
2019-02-19 22:02:16 Jamie Strandboge summary Daemons do not have an /run/user/* dir created on Ubuntu Classic AppArmorPermanentSlot policy not added on Ubuntu Classic
2019-11-14 17:25:57 Alan Griffiths snapd: status Triaged Fix Released